INDEX-PUBMED(1)

NAME
index-pubmed - populate and index a local NCBI PubMed archive from scratch

SYNOPSIS
index-pubmed [-collect|-index|-invert|-merge|-promote] [[-path] dir [[-temp|-work|-working] dir]]

DESCRIPTION
index-pubmed prepares a directory to hold a local PubMed archive, then downloads a full database dump from NCBI's servers (along with MeSH data), organizes it into an rchive(1) trie, refreshes and collects the versioned records, and fully indexes the resulting archive. It can optionally pick up partway through by explicit request.

OPTIONS

-collect
    Skip initial preparation and download, and start with forming an rchive(1) trie.

-index
    Skip everything up through running rchive(1) and just perform full indexing.

-invert
    Skip everything through the first indexing pass and start with calculating inverted indices.

-merge
    Skip everything through calculating inverted indices and start with merging them.

-promote
    Skip everything through merging inverted indices and just produce final postins files.

[-path] dir
    Place the local archive in dir.

[-temp|-work|-working] dir
    Place intermediate subtrees in dir.

ENVIRONMENT

EDIRECT_PUBMED_MASTER
    Local archive directory to use in the absence of -path. Expected to hold an absolute path; mandatory when not supplying a path on the command line.

EDIRECT_PUBMED_WORKING
    Directory to hold intermediate subtrees in the absence of -temp|-work|-working. Expected to hold an absolute path. Defaults to the primary local archive directory when not set.

SEE ALSO
archive-pubmed(1), download-ncbi-data(1), download-pubmed(1), expand-current(1), fetch-pubmed(1), index-extras(1), index-themes(1), phrase-search(1), pm-collect(1), pm-index(1), pm-invert(1), pm-merge(1), pm-prepare(1), pm-promote(1), pm-refresh(1), pm-stash(1), rchive(1), xtract(1).